## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://github.com/oferkv/phototonic
%global version0 2.1.12
%global commit0  12552ece9564b1452606d653be67478ec6573ca1

%forgemeta

Name:           phototonic
Version:        %forgeversion
Release:        %autorelease
Summary:        Image viewer and organizer

License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source:         %{forgesource}


BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  qt5-linguist

%description
Phototonic is a fast and functional image viewer and organizer, inspired by the
traditional image viewer design (i.e. thumbnails and viewer layouts).


%prep
%forgesetup


%build
%{qmake_qt5}
%{make_build}


%install
%{make_install} INSTALL_ROOT=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml


%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_metainfodir}/%{name}.appdata.xml

%changelog
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> %forgeversion-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 16 2024 Robert-André Mauchin <zebob.m@gmail.com> %forgeversion-1
- Bump to commit 12552ece9564b1452606d653be67478ec6573ca1

* Sun Jun 16 2024 Robert-André Mauchin <zebob.m@gmail.com> 2.1.12^20190922gitd2176fe-2
- Convert to SPDX licensing

* Sun Jun 16 2024 Robert-André Mauchin <zebob.m@gmail.com> 2.1.12^20190922gitd2176fe-1
- Cleanup


* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190932gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190931gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190930gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190929gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190928gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190927gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190926gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190925gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190924gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.12-20190923gitd2176fe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Oct 11 2019 Michael Cullen <michael@cullen-online.com> - 2.1.12-20190922gitd2176fe
- Fix FTBFS
- Updated

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.21-20161110git24d7b78
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.21-20161109git24d7b78
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 30 2019 Rex Dieter <rdieter@fedoraproject.org> - 1.7.21-20161108git24d7b78
- rebuild (exiv2)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.21-20161107git24d7b78
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.21-20161106git24d7b78
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.21-20161105git24d7b78
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.21-20161104git24d7b78
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 02 2017 Rex Dieter <rdieter@fedoraproject.org> - 1.7.21-20161103git24d7b78
- rebuild (exiv2)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.21-20161102git24d7b78
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov 01 2016 Michael Cullen <michael@cullen-online.com> - 1.7.21-20161101git24d7b78
- Updated to newer upstream commit, adding Portuguese language support.

* Tue May 10 2016 Michael Cullen <michael@cullen-online.com> - 1.7.20-2
- Fixed review comment. Added update-desktop-database calls.

* Thu May  5 2016 Michael Cullen <michael@cullen-online.com> - 1.7.20-1
- Pulled in properly tagged release from upstream

* Mon May  2 2016 Michael Cullen <michael@cullen-online.com> - 1.7.1-1
- Initial Package
